# List Events **GET /v2/api/events** Lists external events with optional filters for event_type and status ## Servers - https://api.maddenanalytics.com: https://api.maddenanalytics.com () ## Parameters ### Query parameters - **page** (integer) Page Number - **pageSize** (integer) Page Size - **event_type** (string) Filter by event type - **status** (string) Filter by status: pending, completed, failed ## Responses ### 200 OK #### Body: application/json (array[object]) - **accountId** (string) - **completedAt** (string) - **createdAt** (string) - **eventType** (string) - **failedAt** (string) - **id** (string) - **payload** (object) ### default All errors will return the same object with a describing code & message #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) [Powered by Bump.sh](https://bump.sh)